#!/bin/sh

#  slashdot.sh - downloading the headlines of http://slashdot.org
#
#  Copyright (c) 2001 Seiichi SATO <ssato@sh.rim.or.jp>, licensed under the GPL
#
# <ChangeLog>
#
# 2002 Jul 20
#   * rewritten for fetching rdf file
#   * removed lynx
#
# 2001 October 15
#   * Initial release


URL=http://slashdot.org/slashdot.rdf
OUTPUT=${HOME}/.slashdot

W3M="w3m"
WGET="wget"
LYNX="lynx"
LINKS="links"

if which $W3M > /dev/null 2>&1 ; then
  COMMAND="$W3M -dump"
elif which $WGET> /dev/null 2>&1 ; then
  COMMAND="$WGET --quiet --output-document=-"
elif which $LYNX > /dev/null 2>&1 ; then
  COMMAND="$LYNX -source"
elif which $LINKS > /dev/null 2>&1 ; then
  COMMAND="$LINKS -source"
else
  exit 1
fi

$COMMAND $URL | grep '<title>' | \
		grep -v '<title>Slashdot<\/title>' | \
		grep -v 'Search Slashdot' | \
		sed 's/<title>//g' | \
		sed 's/<\/title>//g ' > $OUTPUT 
